[mythtv-users] Firmware not loading

james jam at tigger.ws
Thu Mar 21 10:02:05 UTC 2024


Signed by jam at tigger.ws.	Show Details
On Thursday, March 21, 2024 2:30:59 AM AWST Bill Meek wrote:
 > On Wednesday 20 March 2024 08:31:03 AM (-05:00), James Linder wrote:
 > > IтАЩm trying to use a rockpi5 (arm64) as my backend
 >
 > ...
 >
 > > Plug in the Armbian m2. All works (but build with ansible fails, (maybe
 > > os_release hacking))
 > ...
 > Please put the complete ansible ourput at pastebin.com
 > or your favorite paste place as long as it isn't pasword
 > protected.
 >

jam at rock-5b:~$ cat /etc/os-release
PRETTY_NAME="Armbian 23.8.1 jammy"
NAME="Ubuntu"
VERSION_ID="22.04"
VERSION="22.04.3 LTS (Jammy Jellyfish)"
VERSION_CODENAME=jammy
ID=ubuntu
ID_LIKE=debian
HOME_URL="https://www.armbian.com"
SUPPORT_URL="https://forum.armbian.com"
BUG_REPORT_URL="https://www.armbian.com/bugs"
PRIVACY_POLICY_URL="https://www.armbian.com"
UBUNTU_CODENAME=jammy
ARMBIAN_PRETTY_NAME="Armbian 23.8.1 jammy"

jam at rock-5b:~/PROJECTS/ansible$ ./mythtv.yml --limit=localhost
BECOME password:
...
TASK [mythtv-deb : final package list]
***************************************************************************************
ok: [localhost] => {
     "msg": "git,g++,make,build-essential,nasm,automake,libtool,ccache,pkg-
config,cmake,patch,ninja-build,gperf,meson,uuid-dev,libfreetype6-
dev,libmp3lame-dev,libxv-dev,libxxf86vm-dev,libxinerama-dev,libxrandr-
dev,libxml2-dev,libavahi-compat-libdnssd-dev,libexiv2-dev,libasound2-
dev,libegl1-mesa-dev,liblzo2-dev,libhdhomerun-dev,libsamplerate0-
dev,libxnvctrl-dev,libzip-dev,libsoundtouch-dev,libva-dev,libdrm-dev,libvdpau-
dev,libass-dev,libxvidcore-dev,libx264-dev,libvpx-dev,libbluray-
bdj,libavc1394-dev,libiec61883-dev,libpulse-dev,libfftw3-dev,libssl-
dev,libsystemd-dev,libgnutls28-dev,libdbi-perl,libdbd-mysql-perl,libnet-upnp-
perl,libwww-perl,libio-socket-inet6-perl,libdate-manip-perl,libxml-simple-
perl,libxml-xpath-perl,libimage-size-perl,libdatetime-format-iso8601-
perl,libsoap-lite-perl,libjson-perl,libfindbin-libs-perl,perl-
modules,libvorbis-dev,libflac-dev,libflac++-dev,libtag1-dev,libcdio-dev,libcdio-
paranoia-dev,libtool-bin,libcec-dev,libbluray-dev,libx265-dev,libmysqlclient-
dev,python3-future,python3-requests,python3-requests-cache,python3-
mysqldb,python3-lxml,python3-oauthlib,python3-pycurl,python3-
simplejson,python3-setuptools,libminizip-dev" 

}

TASK [mythtv-deb : install packages]
*****************************************************************************************
fatal: [localhost]: FAILED! => {"cache_update_time": 1711008575,
"cache_updated": false, "changed": false, "msg": "'/usr/bin/apt-get -y -o
\"Dpkg::Options::=--force-confdef\" -o 
\"Dpkg::Options::=--force-confold\"
install 'g++' 'make' 'build-essential' 'nasm' 'automake' 'libtool' 'ccache'
'pkg-config' 'cmake' 'patch' 'ninja-build' 'gperf' 'meson' 'uuid-dev'
'libfreetype6-dev' 'libmp3lame-dev' 'libxv-dev' 'libxxf86vm-dev' 
'libxinerama-
dev' 'libxrandr-dev' 'libxml2-dev' 'libavahi-compat-libdnssd-dev' 'libexiv2-
dev' 'libasound2-dev' 'libegl1-mesa-dev' 'liblzo2-dev' 'libhdhomerun-dev'
'libsamplerate0-dev' 'libxnvctrl-dev' 'libzip-dev' 'libsoundtouch-dev' 
'libva-
dev' 'libdrm-dev' 'libvdpau-dev' 'libass-dev' 'libxvidcore-dev' 
'libx264-dev'
'libvpx-dev' 'libbluray-bdj' 'libavc1394-dev' 'libiec61883-dev' 
'libpulse-dev'
'libfftw3-dev' 'libssl-dev' 'libsystemd-dev' 'libgnutls28-dev' 
'libdbi-perl'
'libdbd-mysql-perl' 'libnet-upnp-perl' 'libwww-perl' 
'libio-socket-inet6-perl'
'libdate-manip-perl' 'libxml-simple-perl' 'libxml-xpath-perl' 
'libimage-size-
perl' 'libdatetime-format-iso8601-perl' 'libsoap-lite-perl' 'libjson-perl'
'libfindbin-libs-perl' 'libvorbis-dev' 'libflac-dev' 'libflac++-dev' 
'libtag1-
dev' 'libcdio-dev' 'libcdio-paranoia-dev' 'libtool-bin' 'libcec-dev'
'libbluray-dev' 'libx265-dev' 'libmysqlclient-dev' 'python3-future' 
'python3-
requests' 'python3-requests-cache' 'python3-mysqldb' 'python3-lxml' 
'python3-
oauthlib' 'python3-pycurl' 'python3-simplejson' 'python3-setuptools'
'libminizip-dev'' failed: E: Unable to correct problems, you have held 
broken
packages.\n", "rc": 100, "stderr": "E: Unable to correct problems, you have
held broken packages.\n", "stderr_lines": ["E: Unable to correct 
problems, you
have held broken packages."], "stdout": "Reading package lists...\nBuilding
dependency tree...\nReading state information...\nSome packages could 
not be
installed. This may mean that you have\nrequested an impossible 
situation or
if you are using the unstable\ndistribution that some required packages 
have
not yet been created\nor been moved out of Incoming.\nThe following
information may help to resolve the situation:\n\nThe following packages 
have
unmet dependencies:\n libcec-dev : Depends: libcec6 (= 6.0.2-1ubuntu2) but
6.0.2-2 is to be installed\n", "stdout_lines": ["Reading package lists...",
"Building dependency tree...", "Reading state information...", "Some 
packages
could not be installed. This may mean that you have", "requested an 
impossible
situation or if you are using the unstable", "distribution that some 
required
packages have not yet been created", "or been moved out of Incoming.", "The
following information may help to resolve the situation:", "", "The 
following
packages have unmet dependencies:", " libcec-dev : Depends: libcec6 (=
6.0.2-1ubuntu2) but 6.0.2-2 is to be installed"]} 


PLAY RECAP
*******************************************************************************************************************
localhost                  : ok=13   changed=0    unreachable=0 
failed=1
skipped=8    rescued=0    ignored=0

The rockpi is like an 8core rapi, and is distictly usable.
The prebuilt mythtv (apt) stuff works well, so this is interesting but not
end-of-world

Using ubuntu all build but I could not get the haupage firm ware.
I read the problem is secure boot and I resd that is done in the initrd.

James
End of signed message



More information about the mythtv-users mailing list